CVE-2023-27533

Updated: 2023-11-07 20:19:28.765455

Description:

A vulnerability in input validation exists in curl <8.0 during communication using the TELNET protocol may allow an attacker to pass on maliciously crafted user name and "telnet options" during server negotiation. The lack of proper input scrubbing allows an attacker to send content or perform option negotiation without the application's intent. This vulnerability could be exploited if an application allows user input, thereby enabling attackers to execute arbitrary code on the system.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x 0
CVSS Version 3.x HIGH 8.8

Status

OS name Project name Version Score Severity Status Errata Last updated
AlmaLinux 9.2 ESU curl 7.76.1 8.8 HIGH Already Fixed 2023-11-10 02:29:53
CentOS 6 ELS curl 7.19.7 8.8 HIGH Released CLSA-2023:1681490707 2023-04-24 08:49:14
CentOS 7 ELS curl 7.29.0 8.8 HIGH Not Vulnerable 2023-09-19 09:30:26
CentOS 8.4 ELS curl 7.61.1 8.8 HIGH Released CLSA-2023:1681491543 2023-04-14 14:04:57
CentOS 8.5 ELS curl 7.61.1 8.8 HIGH Released CLSA-2023:1681491763 2023-04-14 14:04:59
CloudLinux 6 ELS curl 7.19.7 8.8 HIGH Released CLSA-2023:1681490914 2023-04-24 08:49:13
Oracle Linux 6 ELS curl 7.19.7 8.8 HIGH Released CLSA-2023:1681491163 2023-04-14 14:04:58
Ubuntu 16.04 ELS curl 7.47.0 8.8 HIGH Released CLSA-2023:1681491348 2023-04-14 14:05:00
Ubuntu 18.04 ELS curl 7.58.0-2 8.8 HIGH Already Fixed 2023-04-03 08:43:28